echo off
bazic run

rem                         BAZIC executing file BAZC
rem  
rem  BAZIC.EXE runs this BAZC.BAT file to supplement the functions of
rem  batch commands.  The functions are 
rem  
rem  ON ERRORLEVEL GOTO/GOSUB               RETURN
rem  INKEY/OUTKEY                           GET
rem  STOP NEWPASSWORD                       NEW STACK
rem  
rem  see the accompanying document for details
rem  
rem  
echo on
goto loop
:help
rem type "M" to tell you what month it is
rem type "A" for my address
rem type (esc) to get out                          "H" for this help
bazic return from help

:loop
rem type "H" for help
bazic inkeyoutkey mM aA hH

bazic on error gosub exit month address help


goto loop
:month
bazic get month

bazic on error gosub exit jan feb mar april may june july aug sept oct nov dec


bazic return to menu

:jan
rem it's January.  Happy new year!
bazic return from janus

:feb
rem it's February.  What a short month.
bazic return from fabulous feb.    NOTE: each return is distinctly different.

:mar
rem it's March.  March, don't run.
bazic return from the army

:april
rem it's December.  Ha ha.  April fool.
bazic return from april
:may
rem it's May.  Bridal suite and all.
bazic return from may day

:june
rem it's June.  Alter and all.
bazic return from june

:july
rem it's July.  Independence.
bazic return to dependency

:aug
rem it's August, Augustus.
bazic return from the heat

:sept
rem it's September.  Brrrr.
bazic return, you wonderful summer

:oct
rem it's Oktoberfest time!
bazic return?  Never!

:nov
rem it's a chilly November
bazic return to ice

:dec
rem it's Xmas December
bazic return those useless gifts.


:address
type bazc
rem  type any key to continue
bazic inkey

bazic return from address

:exit
rem bye


